## org.eclipse.emf.ecore.sdo.util
Class BasicESequence

    java.lang.Object
      org.eclipse.emf.ecore.sdo.util.BasicESequence

All Implemented Interfaces:
  Sequence, ESequence, FeatureMap.Internal.Wrapper

    public class BasicESequence

extends java.lang.Object
implements ESequence, FeatureMap.Internal.Wrapper

Delegates to a feature map

Field Summary
`protected FeatureMap.Internal` `featureMap`

Constructor Summary
`BasicESequence(FeatureMap.Internal featureMap)`

Method Summary
`void` `add(int index, int propertyIndex, java.lang.Object value)` Adds a new entry with the specified property index and value at the specified entry index.
`boolean` `add(int propertyIndex, java.lang.Object value)` Adds a new entry with the specified property index and value to the end of the entries.
`void` `add(int index, Property property, java.lang.Object value)` Adds a new entry with the specified property and value at the specified entry index.
`void` `add(int index, java.lang.String text)` Adds a new entry with the specified text value at the specified entry index.
`void` `add(int index, java.lang.String propertyName, java.lang.Object value)` Adds a new entry with the specified property name and value at the specified entry index.
`boolean` `add(Property property, java.lang.Object value)` Adds a new entry with the specified property and value to the end of the entries.
`void` `add(java.lang.String text)` Adds a new entry with the specified text value to the end of the entries.
`boolean` `add(java.lang.String propertyName, java.lang.Object value)` Adds a new entry with the specified property name and value to the end of the entries.
`FeatureMap` `featureMap()`
`protected EStructuralFeature` `getEStructuralFeature(int propertyIndex)`
`protected EStructuralFeature` `getEStructuralFeature(java.lang.String propertyName)`
`Property` `getProperty(int index)` Returns the property for the given entry index.
`java.lang.Object` `getValue(int index)` Returns the property value for the given entry index.
`void` `move(int toIndex, int fromIndex)` Moves the entry at `fromIndex` to `toIndex`.
`void` `remove(int index)` Removes the entry at the given entry index.
`java.lang.Object` `setValue(int index, java.lang.Object value)` Sets the entry at a specified index to the new value.
`int` `size()` Returns the number of entries in the sequence.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### featureMap

    protected FeatureMap.Internal featureMap

Constructor Detail

### BasicESequence

    public BasicESequence(FeatureMap.Internal featureMap)

Method Detail

### featureMap

    public FeatureMap featureMap()

  Specified by:
    `featureMap` in interface `ESequence`
  Specified by:
    `featureMap` in interface `FeatureMap.Internal.Wrapper`

### size

    public int size()

  Description copied from interface: `Sequence`
  Returns the number of entries in the sequence.

  Specified by:
    `size` in interface `Sequence`
  Returns:
    the number of entries.

### getProperty

    public Property getProperty(int index)

  Description copied from interface: `Sequence`
  Returns the property for the given entry index. Returns `null` for mixed text entries.

  Specified by:
    `getProperty` in interface `Sequence`
  Parameters:
    `index` - the index of the entry.
  Returns:
    the property or `null` for the given entry index.

### getValue

    public java.lang.Object getValue(int index)

  Description copied from interface: `Sequence`
  Returns the property value for the given entry index.

  Specified by:
    `getValue` in interface `Sequence`
  Parameters:
    `index` - the index of the entry.
  Returns:
    the value for the given entry index..

### setValue

    public java.lang.Object setValue(int index,
                                     java.lang.Object value)

  Description copied from interface: `Sequence`
  Sets the entry at a specified index to the new value.

  Specified by:
    `setValue` in interface `Sequence`
  Parameters:
    `index` - the index of the entry.
    `value` - the new value for the entry.

### getEStructuralFeature

    protected EStructuralFeature getEStructuralFeature(java.lang.String propertyName)

### getEStructuralFeature

    protected EStructuralFeature getEStructuralFeature(int propertyIndex)

### add

    public boolean add(java.lang.String propertyName,
                       java.lang.Object value)

  Description copied from interface: `Sequence`
  Adds a new entry with the specified property name and value to the end of the entries.

  Specified by:
    `add` in interface `Sequence`
  Parameters:
    `propertyName` - the name of the entry's property.
    `value` - the value for the entry.

### add

    public boolean add(int propertyIndex,
                       java.lang.Object value)

  Description copied from interface: `Sequence`
  Adds a new entry with the specified property index and value to the end of the entries.

  Specified by:
    `add` in interface `Sequence`
  Parameters:
    `propertyIndex` - the index of the entry's property.
    `value` - the value for the entry.

### add

    public boolean add(Property property,
                       java.lang.Object value)

  Description copied from interface: `Sequence`
  Adds a new entry with the specified property and value to the end of the entries.

  Specified by:
    `add` in interface `Sequence`
  Parameters:
    `property` - the property of the entry.
    `value` - the value for the entry.

### add

    public void add(int index,
                    java.lang.String propertyName,
                    java.lang.Object value)

  Description copied from interface: `Sequence`
  Adds a new entry with the specified property name and value at the specified entry index.

  Specified by:
    `add` in interface `Sequence`
  Parameters:
    `index` - the index at which to add the entry.
    `propertyName` - the name of the entry's property.
    `value` - the value for the entry.

### add

    public void add(int index,
                    int propertyIndex,
                    java.lang.Object value)

  Description copied from interface: `Sequence`
  Adds a new entry with the specified property index and value at the specified entry index.

  Specified by:
    `add` in interface `Sequence`
  Parameters:
    `index` - the index at which to add the entry.
    `propertyIndex` - the index of the entry's property.
    `value` - the value for the entry.

### add

    public void add(int index,
                    Property property,
                    java.lang.Object value)

  Description copied from interface: `Sequence`
  Adds a new entry with the specified property and value at the specified entry index.

  Specified by:
    `add` in interface `Sequence`
  Parameters:
    `index` - the index at which to add the entry.
    `property` - the property of the entry.
    `value` - the value for the entry.

### add

    public void add(java.lang.String text)

  Description copied from interface: `ESequence`
  Adds a new entry with the specified text value to the end of the entries.

  Specified by:
    `add` in interface `ESequence`
  Parameters:
    `text` - the value for the entry.

### add

    public void add(int index,
                    java.lang.String text)

  Description copied from interface: `ESequence`
  Adds a new entry with the specified text value at the specified entry index.

  Specified by:
    `add` in interface `ESequence`
  Parameters:
    `index` - the index at which to add the entry.
    `text` - the value of the entry.

### remove

    public void remove(int index)

  Description copied from interface: `Sequence`
  Removes the entry at the given entry index.

  Specified by:
    `remove` in interface `Sequence`
  Parameters:
    `index` - the index of the entry

### move

    public void move(int toIndex,
                     int fromIndex)

  Description copied from interface: `Sequence`
  Moves the entry at `fromIndex` to `toIndex`.

  Specified by:
    `move` in interface `Sequence`
  Parameters:
    `toIndex` - the index of the entry destination.
    `fromIndex` - the index of the entry to move.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.